pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- File List
- Globals

Defines | Functions
error.h File Reference
`#include <config.h>`
`#include <stdarg.h>`
`#include <openssl/err.h>`
`#include <errno.h>`

Go to the source code of this file.

## Defines

#define | ERROR_BUFFER_SIZE 512
| Default error message buffer size.
#define | ERROR_EXTERN extern

## Functions

ERROR_EXTERN void | set_error (const char *format,...)
| store an error message into a temporary buffer, in a similar way as sprintf does
ERROR_EXTERN const char * | get_error (void)
| Retrieve error message string from buffer.

## Define Documentation

#define ERROR_BUFFER_SIZE 512

Default error message buffer size.

Definition at line 33 of file error.h.

#define ERROR_EXTERN extern

Definition at line 36 of file error.h.

## Function Documentation

ERROR_EXTERN const char* get_error | ( | void |  | ) |

Retrieve error message string from buffer.

Returns:
  Error message

ERROR_EXTERN void set_error | ( | const char * | format,
|  |  | ...
| ) |  |

store an error message into a temporary buffer, in a similar way as sprintf does

Parameters:

  format | String to be stored
  ... | Additional parameters